Documentation · API reference
GET/api/v1/sites/{site}/props

Event properties

An event's properties, or how often each value of one of them was sent.

Parameters

sitein the address
neededA site's id or name
eventin the query
The event. Left out, views
keyin the query
One property, to list its values

The answer

Status 200

A list of Counted

count
integerneeded
key
stringneeded

Asking

With your token from Settings
curl -G https://tidekeeper.eu/api/v1/sites/example.org/props \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -d event=Order -d period=30d
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/props?event=Order&period=30d", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());